# Albert Lacombe's _Dictionnaire de la langue des Cris_ (DLC)

Notes on Albert Lacombe's _Dictionnaire de la langue des Cris_.

## Introduction

Daniel Dacanay translated the introduction to the Cree-French portion of the dictionary. This lives at `Lacombe/Cree-French_Introduction.pdf`.

## Training & Evaluation Data

Six pages of the dictionary (pp. 289–294) have been manually transcribed for training and evaluation purposes. These live at `Lacombe/manual_transcriptions.pdf`. Three of the pages should be used for training the OCR software, and three for evaluating the result. The following notes are from Daniel Dacanay (the transcriber) regarding the transcription:

> I have tried to properly retain the page boundaries and proportions, and the content of each individual page should represent all of the text on the corresponding page in the original, although some of the glosses cross page boundaries in the transcription where they do not in the original.

## Dictionary Conventions

Daniel Dacanay provided the following notes based on the introduction to the French-Cree portion of the dictionary.

1. Vowel length is represented by a circumflex accent (although LaCombe is, by self-admission, not entirely consistent with this, and notes that the dictionary printers may also err in this regard).

2. When a Cree word is followed by a comma and a "syllable, consonant, or vowel" in lower case, the latter content indicates the plural suffix (e.g. "_MASINAHIGAN_, _a_" indicates the plural form _masinahigana_, and "_MIKISIS_, _ak_" indicates the plural mikisisak). For Cree words which can potentially take several different plural suffixes due to animacy alternation, several suffixes may be listed in this fashion. This plural suffix is **not** contained in brackets, when an abbreviation occurs after a Cree word in brackets, it indicates PoS [part of speech; DWH].

3. If numerous French words are given as a gloss, the first one is considered the best.

4. If an entry is glossed as "_idem._", its meaning is identical to that of the preceding entry.

5. In the Cree-French Dictionary, all French words are written in italics, while all Cree words are written in Roman.

6. When a Cree verb is followed by several suffixes written in small-caps, those suffixes indicate, respectively, the "animate, inanimate, indefinite animate, and indefinite inanimate" forms of the verb.

7. All roots are marked with `+`, all derivations of those roots are marked with `«`.

> Aside from these structural points, I feel it potentially useful to point out that LaCombe very frequently uses example sentences in his glosses (to quote him directly, "... in this dictionary, we shall strive to communicate through multiple examples the nature and potency of certain words, particularly adverbs, of which some contain a meaning which we in our modern languages could express only by a full sentence"), but aside from italicisation he is by no means consistent in how he frames these sentences in the gloss. I predict, then, that it will quite difficult to separate them out systematically.
