# Word Classes

## Parts of Speech

The word classes currently used in itwêwina are as follows (taken from [enums.py](https://github.com/UAlbertaALTLab/cree-intelligent-dictionary/blob/21018addd9e9b5921c27f26b9d7eb4a5a0b2105f/CreeDictionary/utils/enums.py)):

Abbreviation | Word Class
-------------|-----------
IPC          | particle
IPV          | preverb
N            | noun
PRON         | pronoun
V            | verb

## Inflectional Classes

The current mapping from inflectional classes (from _Cree: Words_) to part of speech is as follows:

example word           | inflectional_category | POS
-----------------------|-----------------------|-----
kinêpiko-maskotêhk     | INM                   | IPC
piskihci               | IPC                   | IPC
namôya                 | IPC ;; IPJ            | IPC
anohc kâ-kîsikâk       | IPH                   | IPC
kitatamihin            | IPJ                   | IPC
okakihcimosk           | NA-1                  | N
opîkopicikêw           | NA-2                  | N
kiskinwahamâtôtâpânâsk | NA-3                  | N
osk-âya                | NA-4                  | N
wâpi-maskwa            | NA-4w                 | N
wiyihkosa              | NDA-1                 | N
nitihtihkosiy          | NDA-2                 | N
miyihkwak              | NDA-3                 | N
nîwa                   | NDA-4                 | N
nîskwa                 | NDA-4w                | N
nitêyikom              | NDI-1                 | N
nitêyaniyâpiy          | NDI-2                 | N
nayakask               | NDI-3                 | N
nipêminak              | NDI-3?                | N
nîki                   | NDI-4                 | N
nîwas                  | NDI-5                 | N
kipokwâcikan           | NI-1                  | N
ispatinaw              | NI-2                  | N
pêhowikamik            | NI-3                  | N
askâwi                 | NI-4                  | N
pâstâhowi-mihko        | NI-4w                 | N
ôsi                    | NI-5                  | N
awa                    | PrA                   | PRON
                       | PrI                   | PRON
âcimow                 | VAI                   | V
âpahikâsow             | VAI-1                 | V
nêstosin               | VAI-2                 | V
ostostotam             | VAI-3                 | V
mispon                 | VII-1n                | V
nîso-tipiskâw          | VII-1v                | V
sôniyâwan              | VII-2n                | V
nôtimâw                | VII-2v                | V
wâsênâsin              | VII-n                 | V
kwêtipipayiw           | VII-v                 | V
atamihêw               | VTA-1                 | V
wâsênamawêw            | VTA-2                 | V
mâciswêw               | VTA-3                 | V
kispêwâtêw             | VTA-4                 | V
ay-itêw                | VTA-5                 | V
kâhtinam               | VTI-1                 | V
nahêkâcihtâw           | VTI-2                 | V
oscoscocasiw           | VTI-3                 | V
